% Método de la secante
f = @(x) x^3-2;

N = 4;
xa = 1;
xp = 2;

x = xa;
for k = 1:N
    % secante
    % x_{n-1}, x_n, x_{n+1}, xa, xp, xf
    xf = xp- f(xp)*(xp-xa)/(f(xp)-f(xa));
    xa = xp;
    xp = xf;

    % Newton
    x = x-f(x)/(3*x^2);
end
disp('Secante')
disp(xf-2^(1/3))
disp('')
disp('Newton')
disp(x-2^(1/3))

